/**
 * @file Test2.cpp
 * @date 2010/04/11 新規作成
 * @author
 *
 * Test2クラス
 */

#include <assert.h>
#include <iostream>
#include "Define.h"
#include "TrimSpace.h"
#include "Test2.h"

/**
 * コンストラクタ
 */
Test2::Test2(){
}

/**
 * test関数
 */
ReturnValue Test2::run()
{
	test1();
	test2();
	test3();
	std::cout << "Test2 finished" << std::endl;
	return OK;
}

ReturnValue Test2::test1()
{
	std::string	result_string;
	TrimSpace	trim_space;

	result_string = trim_space.trimEnds("    abcdefg    ");
	assert(result_string.compare("abcdefg") == 0 );
	result_string = trim_space.trimEnds("abcdefg    ");
	assert(result_string.compare("abcdefg") == 0 );
	result_string = trim_space.trimEnds("abc defg");
	assert(result_string.compare("abc defg") == 0 );

	return OK;
}

ReturnValue Test2::test2()
{
	std::string	result_string;
	TrimSpace	trim_space;

	result_string = trim_space.trimEnds("    あいうえお    ");
	assert(result_string.compare("あいうえお") == 0 );
	result_string = trim_space.trimEnds("あいうえお    ");
	assert(result_string.compare("あいうえお") == 0 );
	result_string = trim_space.trimEnds("あいう えお");
	assert(result_string.compare("あいう えお") == 0 );

	return OK;
}

ReturnValue Test2::test3()
{
	std::string	result_string;
	TrimSpace	trim_space;

	result_string = trim_space.trimEnds("    あいうえおabcdefg    ");
	assert(result_string.compare("あいうえおabcdefg") == 0 );
	result_string = trim_space.trimEnds("あいうえおabcdefg    ");
	assert(result_string.compare("あいうえおabcdefg") == 0 );
	result_string = trim_space.trimEnds("あいう えお abcdefg");
	assert(result_string.compare("あいう えお abcdefg") == 0 );

	return OK;
}

